<div class="card" >
    <div class="card-body" *ngIf="isLoading; else notLoadingBlock">
        <div  class="d-flex justify-content-center">
            <div class="spinner-border" role="status">
            
            </div>
        </div>
    </div>
    <ng-template #notLoadingBlock>
        <div class="card-body">
            <div class="d-flex justify-content-between align-items-center">
                <span><b>Date de livraison: </b>{{project.dateLivraison ? (project.dateLivraison | date : 'dd/MM/yyyy') : '--/--/--' }}</span>
                <button class="btn btn-primary" (click)="showModalUpdateLivraison()"><i class="fa-solid fa-edit"></i>&nbsp;Modifier</button>
            </div>
            
        </div>
        <app-gen-modal 
        [(isVisible)]="isVisible" 
        [bodyTemplate]="bodyTemplate" 
        [headerTemplate]="headerTemplate"
        [footerTemplate]="footerTemplate"
        ></app-gen-modal>
    </ng-template>

</div>

<ng-template #bodyTemplate>
        
    <div class="card" >
        <div class="card-body">
            <form (ngSubmit)="submit()" class="form form-vertical" [formGroup]="form">
                <div class="row">
                    <div class="col-12">
                        <div class="mb-1">
                            <label class="form-label" for="first-name-column">Date de livraison</label>
                            <input type="date" id="first-name-column" class="form-control" placeholder="" formControlName="dateLivraison" />
                        </div>
                    </div>
                    
                    
                    <input type="submit" hidden>
                
                </div>
            </form>
        </div>
    </div>
</ng-template>

<ng-template #headerTemplate>
    <h4 class="modal-title" id="modal-basic-title">Modifier la date de livraison</h4>
</ng-template> 

<ng-template #footerTemplate>
    <button type="button" class="btn btn-outline-dark" (click)="handleCancel()">Annuler</button>

    <app-gen-button  [text]="'Enregistrer'" [disabled]="!form.valid" [isLoading]="isSubmitLoading" (click)="submit()"></app-gen-button>

</ng-template> 




